# PokemonTurnData | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonTurnData

- Defined in src/field/pokemon.ts:7676

##### Index

### Constructors

constructor

### Properties

acted
attacksReceived
combiningPledge?
damageTaken
extraTurns
failedRunAway
flinched
hitCount
hitsLeft
joinedRound
moveEffectiveness
order
singleHitDamageDealt
statStagesDecreased
statStagesIncreased
switchedInThisTurn
totalDamageDealt

## Constructors

### constructor

- new PokemonTurnData(): PokemonTurnData

  #### Returns PokemonTurnData

## Properties

### acted

acted: boolean = false

- Defined in src/field/pokemon.ts:7678

### attacksReceived

attacksReceived: AttackMoveResult [] = []

- Defined in src/field/pokemon.ts:7689

### `Optional` combiningPledge

combiningPledge?: Moves

- Defined in src/field/pokemon.ts:7694

### damageTaken

damageTaken: number = 0

- Defined in src/field/pokemon.ts:7688

### extraTurns

extraTurns: number = 0

Used to make sure multi-hits occur properly when the user is forced to act again in the same turn

- Defined in src/field/pokemon.ts:7702

### failedRunAway

failedRunAway: boolean = false

- Defined in src/field/pokemon.ts:7696

### flinched

flinched: boolean = false

- Defined in src/field/pokemon.ts:7677

### hitCount

hitCount: number = 0

How many times the move should hit the target(s)

- Defined in src/field/pokemon.ts:7680

### hitsLeft

hitsLeft: number = -1

- `-1` = Calculate how many hits are left
- `0` = Move is finished

- Defined in src/field/pokemon.ts:7685

### joinedRound

joinedRound: boolean = false

- Defined in src/field/pokemon.ts:7697

### moveEffectiveness

moveEffectiveness: null | TypeDamageMultiplier = null

- Defined in src/field/pokemon.ts:7693

### order

order: number

- Defined in src/field/pokemon.ts:7690

### singleHitDamageDealt

singleHitDamageDealt: number = 0

- Defined in src/field/pokemon.ts:7687

### statStagesDecreased

statStagesDecreased: boolean = false

- Defined in src/field/pokemon.ts:7692

### statStagesIncreased

statStagesIncreased: boolean = false

- Defined in src/field/pokemon.ts:7691

### switchedInThisTurn

switchedInThisTurn: boolean = false

- Defined in src/field/pokemon.ts:7695

### totalDamageDealt

totalDamageDealt: number = 0

- Defined in src/field/pokemon.ts:7686